Get Descendant Count
get
/outline/{app}/{cube}/descendantsCount/{memberUniqueName}
Retrieve descendant count for the requested member.
Request
Path Parameters
-
app(required):
Application name.
-
cube(required):
Database name.
-
memberUniqueName(required):
Unique member name (fully qualified name).
Query Parameters
-
applicationNameForConnection:
Application name for connection.
-
connection:
Essbase connection name.
Response
200 Response
OK
Descendants count returned successfully.
400 Response
Bad Request
Failed to get descendants count.
500 Response
Internal Server Error.
Examples
The following example shows how to get the number of descendants a specified Essbase member has.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/outline/ASOSamp/Basic/descendantsCount/Products?links=none" -H Accept:text/plain -o prodcount.txt -u %User%:%Password%Example of Response Body
The following information is written to prodcount.txt:
37